Package org.kapott.hbci.sepa.jaxb.pain_002_002_02

## Class PartyIdentificationSEPA4

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_002_002_02.PartyIdentificationSEPA4

    public class PartyIdentificationSEPA4
    extends java.lang.Object

Java class for PartyIdentificationSEPA4 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PartyIdentificationSEPA4">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Nm" type="{urn:swift:xsd:$pain.002.002.02}Max70Text" minOccurs="0"/>
             <element name="Id" type="{urn:swift:xsd:$pain.002.002.02}PartySEPAChoice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartySEPAChoice` `id`
`protected java.lang.String` `nm`

### Constructor Summary

Constructors
`PartyIdentificationSEPA4()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartySEPAChoice` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`void` `setId​(PartySEPAChoice value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nm

    protected java.lang.String nm

#### id

    protected PartySEPAChoice id

### Constructor Detail

#### PartyIdentificationSEPA4

    public PartyIdentificationSEPA4()

### Method Detail

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getId

    public PartySEPAChoice getId()

Gets the value of the id property.

Returns:
  possible object is `PartySEPAChoice`

#### setId

    public void setId​(PartySEPAChoice value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `PartySEPAChoice`